> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/cdn/domain/modifydomainorigin.md).

# ModifyDomainOrigin

## 1. 接口描述

调用本接口用于修改加速域名的源站信息。

{% hint style="info" %}
**注意事项**

* domain不允许和origin相同，否则会形成回环，无法访问。
* 本接口为异步接口，接口返回成功后，此时创建加速域名操作并未立即完成。在此期间加速域名的状态将会处于`Deploying`，加速域名状态可以通过调用`DescribeCdnDomains` 接口查询，如果加速域名状态(domainStatus)由`Deploying`(部署中)变为`Deployed`(部署成功），则代表部署成功，`Failed`代表配置失败。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称     | 必选 | 类型                                                      | 描述                                                                                        |
| -------- | -- | ------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| domainId | 是  | String                                                  | 加速域名Id                                                                                    |
| origin   | 是  | [Origin](/api-reference/cn/cdn/datastructure.md#origin) | <p>源站修改信息</p><p>当配置AWS S3源时，需要配置s3SourceConfig，且masterSource必须填写为S3源站地址，其他字段无须配置（不生效）</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                         |
| --------- | ------ | ------------------------------------------ |
| requestId | String | 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 requestId。 |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **修改加速域名源站**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: ModifyDomainOrigin
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx",
    "origin": {
        "masterSource": "1.1.1.1",
        "slaverSource": "2.2.2.2",
        "originPort": "80",
        "originPortHttps": "443"
    }
}

S3Source Request:
{
    "domainId": "domainIdxxxxx",
    "origin": {
        "masterSource": "test.s3.ap-southeast-1.amazonaws.com", 
        "s3SourceConfig": {
            "accessKey": "AKIAU73DY4VOLNGXTRJW", 
            "secretKey": "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",
            "region": "ap-southeast-1"
        }
    }
}

Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://github.com/zenlayer/zenlayercloud-api-doc-cn/blob/main/networking/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                       | 说明           |
| ------- | ----------------------------------------- | ------------ |
| 404     | INVALID\_DOMAIN\_NOT\_FOUND               | 指定的加速域名不存在。  |
| 403     | DOMAIN\_OPERATION\_NO\_PERMISSION         | 由于没有权限，操作被拒绝 |
| 400     | INVALID\_ORIGIN\_MASTER\_SOURCE           | 主源格式不正确      |
| 400     | INVALID\_ORIGIN\_SLAVER\_SOURCE           | 备源格式不正确      |
| 400     | INVALID\_ORIGIN\_SOURCE\_SAME\_AS\_DOMAIN | 源站不能与加速域名相同  |
